version: "3.5"
services:
 transmission:
    container_name: transmission
    restart: unless-stopped
    image: linuxserver/transmission:latest
    environment:
      - UID=1000
      - GID=1000
      - ENABLE_AUTH=true
      - ARIA2_USER=admin
      - ARIA2_PWD=lovewifi!
      - TZ=Australia/Melbourne
      - VIRTUAL_HOST="transmission.home.toozhao.com"
      - VIRTUAL_PORT=9091
      - LETSENCRYPT_HOST="transmission.home.toozhao.com"
      - LETSENCRYPT_EMAIL="me@toozhao.com"
    volumes:
      - /mnt/configs/transmission:/config
      - /mnt/downloads:/data
      - /mnt/configs/transmission-watch:/watch
    ports:
      # - 9091:9091
      - 51413:51413
      - 51413:51413/udp
    restart: unless-stopped
    networks:
      - gateway_default
networks:
  gateway_default:
    external: true
